# eric7.VCS.StatusMonitorLed

Module implementing a LED to indicate the status of the VCS status monitor thread.

### Global Attributes

None

### Classes

StatusMonitorLed | Class implementing a LED to indicate the status of the VCS status monitor thread.
StatusMonitorLedWidget | Class implementing a widget containing a LED to indicate the status of the VCS status monitor thread and a short info message.

### Functions

None

## StatusMonitorLed

Class implementing a LED to indicate the status of the VCS status monitor thread.

### Derived from

EricClickableLed

### Class Attributes

None

### Class Methods

None

### Methods

StatusMonitorLed | Constructor
__checkActions | Private method to set the enabled status of the context menu actions.
__checkStatus | Private slot to initiate a new status check.
__ledClicked | Private slot to react upon clicks on the LED.
__projectVcsMonitorStatus | Private method to receive the status monitor status.
__setInterval | Private slot to change the status check interval.
__switchOff | Private slot to switch the status monitor thread to Off.
__switchOn | Private slot to switch the status monitor thread to On.
__vcsStateChanged | Private slot to handle a change in the vcs state.
_showContextMenu | Protected slot to show the context menu.

### Static Methods

None

#### StatusMonitorLed (Constructor)

StatusMonitorLed(project, parent)

Constructor

project
  reference to the project object (Project.Project)
parent
  reference to the parent object (QWidget)

#### StatusMonitorLed.__checkActions

__checkActions()

Private method to set the enabled status of the context menu actions.

#### StatusMonitorLed.__checkStatus

__checkStatus()

Private slot to initiate a new status check.

#### StatusMonitorLed.__ledClicked

__ledClicked(pos)

Private slot to react upon clicks on the LED.

pos
  position of the click (QPoint)

#### StatusMonitorLed.__projectVcsMonitorStatus

__projectVcsMonitorStatus(status, statusMsg)

Private method to receive the status monitor status.

status
  status of the monitoring thread (string, ok, nok or off)
statusMsg
  explanotory text for the signaled status (string)

#### StatusMonitorLed.__setInterval

__setInterval()

Private slot to change the status check interval.

#### StatusMonitorLed.__switchOff

__switchOff()

Private slot to switch the status monitor thread to Off.

#### StatusMonitorLed.__switchOn

__switchOn()

Private slot to switch the status monitor thread to On.

#### StatusMonitorLed.__vcsStateChanged

__vcsStateChanged(state)

Private slot to handle a change in the vcs state.

state
  new vcs state (string)

#### StatusMonitorLed._showContextMenu

_showContextMenu(coord)

Protected slot to show the context menu.

coord
  the position of the mouse pointer (QPoint)

Up

## StatusMonitorLedWidget

Class implementing a widget containing a LED to indicate the status of the VCS status monitor thread and a short info message.

### Derived from

QWidget

### Class Attributes

None

### Class Methods

None

### Methods

StatusMonitorLedWidget | Constructor
__projectVcsStatusMonitorInfo | Private slot handling the receipt of an info message.

### Static Methods

None

#### StatusMonitorLedWidget (Constructor)

StatusMonitorLedWidget(project, parent)

Constructor

project (Project.Project)
  reference to the project object
parent (QWidget)
  reference to the parent object

#### StatusMonitorLedWidget.__projectVcsStatusMonitorInfo

__projectVcsStatusMonitorInfo(info)

Private slot handling the receipt of an info message.

info (str)
  received info message

Up